Gmail Would Stop Its Support For The Older Chrome Versions, Windows XP, and Vista

The internet giant, Google on Wednesday announced that Gmail would stop its support for older Chrome versions by the end of 2017. The company has also confirmed that Gmail users who were still on Windows XP and Windows Vista were the most likely to be affected by this move.

The company says that the latest Chrome version 55 comes with several security updates that were important. It was one of the ways to encourage the users in upgrading to the latest Chrome version.

Gmail

Gmail Would Stop Its Support For The Older Chrome Versions, Windows XP, and Vista

According to Google, the Gmail users would see a banner at the top of the Gmail interface starting from February 8, 2017, for the users who were still on the Google Chrome browser version 53 and below.

Since Microsoft has stopped its support for Windows XP and Windows Vista versions, the internet giant, strongly “encourages” the users to migrate from low secure systems towards more safer, security enabled and supported systems.

For now, Gmail would continue to function on the Chrome browser version 53 and below throughout the end of this year. As early as December 2017, the Chrome users who remain on the older versions would be redirected to the Gmail’s basic HTML version.

Gmail

the Gmail users would see a banner at the top of the Gmail interface starting from February 8, 2017, for the users who were still on the Google Chrome browser version 53 and below

Notably, users in Windows XP and Windows Vista would be affected by these change as Google has pointed out that the version 49 was the last released version which supported those operating systems.

Google citing security risks to the users of older Chrome versions says that Gmail would be more vulnerable to the security risks.

Google doesn’t typically announce when they would discontinue its support for the older versions of Chrome browser because of its currently supported browser policy. The policy states that only the most recent versions of Chrome were supported.

The announcement was given as the expected impact on Windows XP and Windows Vista users and known security risks, the company said in the post.